"Fossies" - the Fresh Open Source Software Archive

Member "xapian-bindings-1.4.14/python/Makefile.in" (23 Nov 2019, 46322 Bytes) of package /linux/www/xapian-bindings-1.4.14.tar.xz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.4.13_vs_1.4.14.

    1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 
   18 VPATH = @srcdir@
   19 am__is_gnu_make = { \
   20   if test -z '$(MAKELEVEL)'; then \
   21     false; \
   22   elif test -n '$(MAKE_HOST)'; then \
   23     true; \
   24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   25     true; \
   26   else \
   27     false; \
   28   fi; \
   29 }
   30 am__make_running_with_option = \
   31   case $${target_option-} in \
   32       ?) ;; \
   33       *) echo "am__make_running_with_option: internal error: invalid" \
   34               "target option '$${target_option-}' specified" >&2; \
   35          exit 1;; \
   36   esac; \
   37   has_opt=no; \
   38   sane_makeflags=$$MAKEFLAGS; \
   39   if $(am__is_gnu_make); then \
   40     sane_makeflags=$$MFLAGS; \
   41   else \
   42     case $$MAKEFLAGS in \
   43       *\\[\ \	]*) \
   44         bs=\\; \
   45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   46           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   47     esac; \
   48   fi; \
   49   skip_next=no; \
   50   strip_trailopt () \
   51   { \
   52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   53   }; \
   54   for flg in $$sane_makeflags; do \
   55     test $$skip_next = yes && { skip_next=no; continue; }; \
   56     case $$flg in \
   57       *=*|--*) continue;; \
   58         -*I) strip_trailopt 'I'; skip_next=yes;; \
   59       -*I?*) strip_trailopt 'I';; \
   60         -*O) strip_trailopt 'O'; skip_next=yes;; \
   61       -*O?*) strip_trailopt 'O';; \
   62         -*l) strip_trailopt 'l'; skip_next=yes;; \
   63       -*l?*) strip_trailopt 'l';; \
   64       -[dEDm]) skip_next=yes;; \
   65       -[JT]) skip_next=yes;; \
   66     esac; \
   67     case $$flg in \
   68       *$$target_option*) has_opt=yes; break;; \
   69     esac; \
   70   done; \
   71   test $$has_opt = yes
   72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   74 pkgdatadir = $(datadir)/@PACKAGE@
   75 pkgincludedir = $(includedir)/@PACKAGE@
   76 pkglibdir = $(libdir)/@PACKAGE@
   77 pkglibexecdir = $(libexecdir)/@PACKAGE@
   78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   79 install_sh_DATA = $(install_sh) -c -m 644
   80 install_sh_PROGRAM = $(install_sh) -c
   81 install_sh_SCRIPT = $(install_sh) -c
   82 INSTALL_HEADER = $(INSTALL_DATA)
   83 transform = $(program_transform_name)
   84 NORMAL_INSTALL = :
   85 PRE_INSTALL = :
   86 POST_INSTALL = :
   87 NORMAL_UNINSTALL = :
   88 PRE_UNINSTALL = :
   89 POST_UNINSTALL = :
   90 build_triplet = @build@
   91 host_triplet = @host@
   92 @MAINTAINER_MODE_TRUE@am__append_1 = except.i doccomments.i
   93 @MAINTAINER_MODE_TRUE@am__append_2 = -DSWIG_PYTHON_LEGACY_BOOL
   94 @MAINTAINER_MODE_TRUE@am__append_3 = xapian_wrap.d $(stamp)
   95 subdir = python
   96 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   97 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
   98 	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
   99 	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
  100 	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
  101 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  102 	$(ACLOCAL_M4)
  103 DIST_COMMON = $(srcdir)/Makefile.am $(dist_exampledata_DATA) \
  104 	$(am__DIST_COMMON)
  105 mkinstalldirs = $(install_sh) -d
  106 CONFIG_HEADER = $(top_builddir)/config.h
  107 CONFIG_CLEAN_FILES = version.i
  108 CONFIG_CLEAN_VPATH_FILES =
  109 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  110 am__vpath_adj = case $$p in \
  111     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  112     *) f=$$p;; \
  113   esac;
  114 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  115 am__install_max = 40
  116 am__nobase_strip_setup = \
  117   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  118 am__nobase_strip = \
  119   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  120 am__nobase_list = $(am__nobase_strip_setup); \
  121   for p in $$list; do echo "$$p $$p"; done | \
  122   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  123   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  124     if (++n[$$2] == $(am__install_max)) \
  125       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  126     END { for (dir in files) print dir, files[dir] }'
  127 am__base_list = \
  128   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  129   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  130 am__uninstall_files_from_dir = { \
  131   test -z "$$files" \
  132     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  133     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  134          $(am__cd) "$$dir" && rm -f $$files; }; \
  135   }
  136 am__installdirs = "$(DESTDIR)$(pkgpylibdir)" \
  137 	"$(DESTDIR)$(exampledatadir)" "$(DESTDIR)$(pkgpylibdir)"
  138 LTLIBRARIES = $(pkgpylib_LTLIBRARIES)
  139 am__DEPENDENCIES_1 =
  140 _xapian_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
  141 am__xapian_la_OBJECTS = xapian_wrap.lo
  142 _xapian_la_OBJECTS = $(am__xapian_la_OBJECTS)
  143 AM_V_lt = $(am__v_lt_@AM_V@)
  144 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  145 am__v_lt_0 = --silent
  146 am__v_lt_1 = 
  147 _xapian_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  148 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
  149 	$(CXXFLAGS) $(_xapian_la_LDFLAGS) $(LDFLAGS) -o $@
  150 AM_V_P = $(am__v_P_@AM_V@)
  151 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  152 am__v_P_0 = false
  153 am__v_P_1 = :
  154 AM_V_GEN = $(am__v_GEN_@AM_V@)
  155 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  156 am__v_GEN_0 = @echo "  GEN     " $@;
  157 am__v_GEN_1 = 
  158 AM_V_at = $(am__v_at_@AM_V@)
  159 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  160 am__v_at_0 = @
  161 am__v_at_1 = 
  162 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  163 depcomp = $(SHELL) $(top_srcdir)/depcomp
  164 am__depfiles_maybe = depfiles
  165 am__mv = mv -f
  166 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  167 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  168 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  169 	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
  170 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  171 	$(AM_CXXFLAGS) $(CXXFLAGS)
  172 AM_V_CXX = $(am__v_CXX_@AM_V@)
  173 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
  174 am__v_CXX_0 = @echo "  CXX     " $@;
  175 am__v_CXX_1 = 
  176 CXXLD = $(CXX)
  177 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  178 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
  179 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  180 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
  181 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
  182 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
  183 am__v_CXXLD_1 = 
  184 SOURCES = $(_xapian_la_SOURCES)
  185 DIST_SOURCES = $(_xapian_la_SOURCES)
  186 am__can_run_installinfo = \
  187   case $$AM_UPDATE_INFO_DIR in \
  188     n|no|NO) false;; \
  189     *) (install-info --version) >/dev/null 2>&1;; \
  190   esac
  191 DATA = $(dist_exampledata_DATA) $(pkgpylib_DATA)
  192 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  193 # Read a list of newline-separated strings from the standard input,
  194 # and print each of them once, without duplicates.  Input order is
  195 # *not* preserved.
  196 am__uniquify_input = $(AWK) '\
  197   BEGIN { nonempty = 0; } \
  198   { items[$$0] = 1; nonempty = 1; } \
  199   END { if (nonempty) { for (i in items) print i; }; } \
  200 '
  201 # Make sure the list of sources is unique.  This is necessary because,
  202 # e.g., the same source file might be shared among _SOURCES variables
  203 # for different programs/libraries.
  204 am__define_uniq_tagged_files = \
  205   list='$(am__tagged_files)'; \
  206   unique=`for i in $$list; do \
  207     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  208   done | $(am__uniquify_input)`
  209 ETAGS = etags
  210 CTAGS = ctags
  211 am__tty_colors_dummy = \
  212   mgn= red= grn= lgn= blu= brg= std=; \
  213   am__color_tests=no
  214 am__tty_colors = { \
  215   $(am__tty_colors_dummy); \
  216   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  217     am__color_tests=no; \
  218   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  219     am__color_tests=yes; \
  220   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  221     am__color_tests=yes; \
  222   fi; \
  223   if test $$am__color_tests = yes; then \
  224     red=''; \
  225     grn=''; \
  226     lgn=''; \
  227     blu=''; \
  228     mgn=''; \
  229     brg=''; \
  230     std=''; \
  231   fi; \
  232 }
  233 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  234 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  235 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  236 # A command that, given a newline-separated list of test names on the
  237 # standard input, print the name of the tests that are to be re-run
  238 # upon "make recheck".
  239 am__list_recheck_tests = $(AWK) '{ \
  240   recheck = 1; \
  241   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  242     { \
  243       if (rc < 0) \
  244         { \
  245           if ((getline line2 < ($$0 ".log")) < 0) \
  246 	    recheck = 0; \
  247           break; \
  248         } \
  249       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  250         { \
  251           recheck = 0; \
  252           break; \
  253         } \
  254       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  255         { \
  256           break; \
  257         } \
  258     }; \
  259   if (recheck) \
  260     print $$0; \
  261   close ($$0 ".trs"); \
  262   close ($$0 ".log"); \
  263 }'
  264 # A command that, given a newline-separated list of test names on the
  265 # standard input, create the global log from their .trs and .log files.
  266 am__create_global_log = $(AWK) ' \
  267 function fatal(msg) \
  268 { \
  269   print "fatal: making $@: " msg | "cat >&2"; \
  270   exit 1; \
  271 } \
  272 function rst_section(header) \
  273 { \
  274   print header; \
  275   len = length(header); \
  276   for (i = 1; i <= len; i = i + 1) \
  277     printf "="; \
  278   printf "\n\n"; \
  279 } \
  280 { \
  281   copy_in_global_log = 1; \
  282   global_test_result = "RUN"; \
  283   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  284     { \
  285       if (rc < 0) \
  286          fatal("failed to read from " $$0 ".trs"); \
  287       if (line ~ /$(am__global_test_result_rx)/) \
  288         { \
  289           sub("$(am__global_test_result_rx)", "", line); \
  290           sub("[ 	]*$$", "", line); \
  291           global_test_result = line; \
  292         } \
  293       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  294         copy_in_global_log = 0; \
  295     }; \
  296   if (copy_in_global_log) \
  297     { \
  298       rst_section(global_test_result ": " $$0); \
  299       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  300       { \
  301         if (rc < 0) \
  302           fatal("failed to read from " $$0 ".log"); \
  303         print line; \
  304       }; \
  305       printf "\n"; \
  306     }; \
  307   close ($$0 ".trs"); \
  308   close ($$0 ".log"); \
  309 }'
  310 # Restructured Text title.
  311 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  312 # Solaris 10 'make', and several other traditional 'make' implementations,
  313 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  314 # by disabling -e (using the XSI extension "set +e") if it's set.
  315 am__sh_e_setup = case $$- in *e*) set +e;; esac
  316 # Default flags passed to test drivers.
  317 am__common_driver_flags = \
  318   --color-tests "$$am__color_tests" \
  319   --enable-hard-errors "$$am__enable_hard_errors" \
  320   --expect-failure "$$am__expect_failure"
  321 # To be inserted before the command running the test.  Creates the
  322 # directory for the log if needed.  Stores in $dir the directory
  323 # containing $f, in $tst the test, in $log the log.  Executes the
  324 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  325 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  326 # will run the test scripts (or their associated LOG_COMPILER, if
  327 # thy have one).
  328 am__check_pre = \
  329 $(am__sh_e_setup);					\
  330 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  331 $(am__tty_colors);					\
  332 srcdir=$(srcdir); export srcdir;			\
  333 case "$@" in						\
  334   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  335     *) am__odir=.;; 					\
  336 esac;							\
  337 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  338   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  339 if test -f "./$$f"; then dir=./;			\
  340 elif test -f "$$f"; then dir=;				\
  341 else dir="$(srcdir)/"; fi;				\
  342 tst=$$dir$$f; log='$@'; 				\
  343 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  344   am__enable_hard_errors=no; 				\
  345 else							\
  346   am__enable_hard_errors=yes; 				\
  347 fi; 							\
  348 case " $(XFAIL_TESTS) " in				\
  349   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  350     am__expect_failure=yes;;				\
  351   *)							\
  352     am__expect_failure=no;;				\
  353 esac; 							\
  354 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  355 # A shell command to get the names of the tests scripts with any registered
  356 # extension removed (i.e., equivalently, the names of the test logs, with
  357 # the '.log' extension removed).  The result is saved in the shell variable
  358 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  359 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  360 # since that might cause problem with VPATH rewrites for suffix-less tests.
  361 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  362 am__set_TESTS_bases = \
  363   bases='$(TEST_LOGS)'; \
  364   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  365   bases=`echo $$bases`
  366 RECHECK_LOGS = $(TEST_LOGS)
  367 AM_RECURSIVE_TARGETS = check recheck
  368 TEST_SUITE_LOG = test-suite.log
  369 TEST_EXTENSIONS = @EXEEXT@ .test
  370 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  371 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  372 am__set_b = \
  373   case '$@' in \
  374     */*) \
  375       case '$*' in \
  376         */*) b='$*';; \
  377           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  378        esac;; \
  379     *) \
  380       b='$*';; \
  381   esac
  382 am__test_logs1 = $(TESTS:=.log)
  383 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  384 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  385 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  386 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  387 	$(TEST_LOG_FLAGS)
  388 am__DIST_COMMON = $(srcdir)/../generic/generic.mk \
  389 	$(srcdir)/Makefile.in $(srcdir)/version.i.in \
  390 	$(top_srcdir)/depcomp $(top_srcdir)/test-driver
  391 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  392 ACLOCAL = @ACLOCAL@
  393 AMTAR = @AMTAR@
  394 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  395 AR = @AR@
  396 AUTOCONF = @AUTOCONF@
  397 AUTOHEADER = @AUTOHEADER@
  398 AUTOM4TE = @AUTOM4TE@
  399 AUTOMAKE = @AUTOMAKE@
  400 AWK = @AWK@
  401 BINDINGS = @BINDINGS@
  402 CC = @CC@
  403 CCDEPMODE = @CCDEPMODE@
  404 CFLAGS = @CFLAGS@
  405 CLI = @CLI@
  406 COMPAT_VERSION = @COMPAT_VERSION@
  407 CPP = @CPP@
  408 CPPFLAGS = @CPPFLAGS@
  409 CSC = @CSC@
  410 CXX = @CXX@
  411 CXXCPP = @CXXCPP@
  412 CXXDEPMODE = @CXXDEPMODE@
  413 CXXFLAGS = @CXXFLAGS@
  414 CYGPATH_W = @CYGPATH_W@
  415 DEFS = @DEFS@
  416 DEPDIR = @DEPDIR@
  417 DLLTOOL = @DLLTOOL@
  418 DOXYGEN = @DOXYGEN@
  419 DSYMUTIL = @DSYMUTIL@
  420 DUMPBIN = @DUMPBIN@
  421 ECHO_C = @ECHO_C@
  422 ECHO_N = @ECHO_N@
  423 ECHO_T = @ECHO_T@
  424 EGREP = @EGREP@
  425 EXEEXT = @EXEEXT@
  426 FGREP = @FGREP@
  427 GACUTIL = @GACUTIL@
  428 GACUTIL_FLAGS = @GACUTIL_FLAGS@
  429 GREP = @GREP@
  430 HAVE_CXX11 = @HAVE_CXX11@
  431 INSTALL = @INSTALL@
  432 INSTALL_DATA = @INSTALL_DATA@
  433 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  434 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  435 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  436 INTREE_DYLD_PATH = @INTREE_DYLD_PATH@
  437 JAR = @JAR@
  438 JAVA = @JAVA@
  439 JAVAC = @JAVAC@
  440 JAVA_CHECK_JNI_OPTION = @JAVA_CHECK_JNI_OPTION@
  441 JAVA_CPPFLAGS = @JAVA_CPPFLAGS@
  442 JAVA_HOME = @JAVA_HOME@
  443 JAVA_PATHSEP = @JAVA_PATHSEP@
  444 JDK_HOME = @JDK_HOME@
  445 JNI_INCLUDE_DIR = @JNI_INCLUDE_DIR@
  446 LD = @LD@
  447 LDFLAGS = @LDFLAGS@
  448 LIBOBJS = @LIBOBJS@
  449 LIBS = @LIBS@
  450 LIBTOOL = @LIBTOOL@
  451 LIPO = @LIPO@
  452 LN_S = @LN_S@
  453 LTLIBOBJS = @LTLIBOBJS@
  454 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  455 LUA = @LUA@
  456 LUA_CPPFLAGS = @LUA_CPPFLAGS@
  457 LUA_INC = @LUA_INC@
  458 LUA_LIB = @LUA_LIB@
  459 LUA_SO = @LUA_SO@
  460 MAINT = @MAINT@
  461 MAKEINFO = @MAKEINFO@
  462 MANIFEST_TOOL = @MANIFEST_TOOL@
  463 MKDIR_P = @MKDIR_P@
  464 NM = @NM@
  465 NMEDIT = @NMEDIT@
  466 NO_UNDEFINED = @NO_UNDEFINED@
  467 OBJDUMP = @OBJDUMP@
  468 OBJEXT = @OBJEXT@
  469 OTOOL = @OTOOL@
  470 OTOOL64 = @OTOOL64@
  471 OVERRIDE_MACOSX_DEPLOYMENT_TARGET = @OVERRIDE_MACOSX_DEPLOYMENT_TARGET@
  472 PACKAGE = @PACKAGE@
  473 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  474 PACKAGE_NAME = @PACKAGE_NAME@
  475 PACKAGE_STRING = @PACKAGE_STRING@
  476 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  477 PACKAGE_URL = @PACKAGE_URL@
  478 PACKAGE_VERSION = @PACKAGE_VERSION@
  479 PATH_SEPARATOR = @PATH_SEPARATOR@
  480 PERL = @PERL@
  481 PERL_ARCH = @PERL_ARCH@
  482 PERL_INC = @PERL_INC@
  483 PERL_LIB = @PERL_LIB@
  484 PERL_SO = @PERL_SO@
  485 PERL_XAPIAN_VERSION = @PERL_XAPIAN_VERSION@
  486 PHP = @PHP@
  487 PHP7 = @PHP7@
  488 PHP7_EXTENSION_DIR = @PHP7_EXTENSION_DIR@
  489 PHP7_INC = @PHP7_INC@
  490 PHP7_LIBS = @PHP7_LIBS@
  491 PHP7_MAJOR_VERSION = @PHP7_MAJOR_VERSION@
  492 PHP7_PATH_SEPARATOR = @PHP7_PATH_SEPARATOR@
  493 PHP_CONFIG = @PHP_CONFIG@
  494 PHP_CONFIG7 = @PHP_CONFIG7@
  495 PHP_EXTENSION_DIR = @PHP_EXTENSION_DIR@
  496 PHP_INC = @PHP_INC@
  497 PHP_LIBS = @PHP_LIBS@
  498 PHP_MAJOR_VERSION = @PHP_MAJOR_VERSION@
  499 PHP_PATH_SEPARATOR = @PHP_PATH_SEPARATOR@
  500 PYTHON = @PYTHON@
  501 PYTHON2 = @PYTHON2@
  502 PYTHON2_INC = @PYTHON2_INC@
  503 PYTHON2_LIB = @PYTHON2_LIB@
  504 PYTHON2_LIBS = @PYTHON2_LIBS@
  505 PYTHON2_SO = @PYTHON2_SO@
  506 PYTHON3 = @PYTHON3@
  507 PYTHON3_CACHE_OPT1_EXT = @PYTHON3_CACHE_OPT1_EXT@
  508 PYTHON3_CACHE_TAG = @PYTHON3_CACHE_TAG@
  509 PYTHON3_INC = @PYTHON3_INC@
  510 PYTHON3_LIB = @PYTHON3_LIB@
  511 PYTHON3_LIBS = @PYTHON3_LIBS@
  512 PYTHON3_SO = @PYTHON3_SO@
  513 RANLIB = @RANLIB@
  514 RDOC = @RDOC@
  515 RST2HTML = @RST2HTML@
  516 RUBY = @RUBY@
  517 RUBY_DLEXT = @RUBY_DLEXT@
  518 RUBY_INC = @RUBY_INC@
  519 RUBY_INC_ARCH = @RUBY_INC_ARCH@
  520 RUBY_LIB = @RUBY_LIB@
  521 RUBY_LIBS = @RUBY_LIBS@
  522 RUBY_LIB_ARCH = @RUBY_LIB_ARCH@
  523 RUN_CSHARP = @RUN_CSHARP@
  524 SED = @SED@
  525 SET_MAKE = @SET_MAKE@
  526 SHELL = @SHELL@
  527 SN = @SN@
  528 STRIP = @STRIP@
  529 SWIG = @SWIG@
  530 SWIG_CXXFLAGS = @SWIG_CXXFLAGS@
  531 SWIG_FLAGS = @SWIG_FLAGS@ $(am__append_2)
  532 TCLSH = @TCLSH@
  533 TCL_CPPFLAGS = @TCL_CPPFLAGS@
  534 TCL_INC = @TCL_INC@
  535 TCL_LIB = @TCL_LIB@
  536 TCL_LIBS = @TCL_LIBS@
  537 THREAD_LOCAL = @THREAD_LOCAL@
  538 VERSION = @VERSION@
  539 VERSION_NO_SNAPSHOT = @VERSION_NO_SNAPSHOT@
  540 XAPIAN_CONFIG = @XAPIAN_CONFIG@
  541 XAPIAN_CXXFLAGS = @XAPIAN_CXXFLAGS@
  542 XAPIAN_HEADERS = @XAPIAN_HEADERS@
  543 XAPIAN_HEADER_DIRS = @XAPIAN_HEADER_DIRS@
  544 XAPIAN_LIBS = @XAPIAN_LIBS@
  545 XAPIAN_VERSION = @XAPIAN_VERSION@
  546 abs_builddir = @abs_builddir@
  547 abs_srcdir = @abs_srcdir@
  548 abs_top_builddir = @abs_top_builddir@
  549 abs_top_srcdir = @abs_top_srcdir@
  550 ac_ct_AR = @ac_ct_AR@
  551 ac_ct_CC = @ac_ct_CC@
  552 ac_ct_CXX = @ac_ct_CXX@
  553 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  554 am__include = @am__include@
  555 am__leading_dot = @am__leading_dot@
  556 am__quote = @am__quote@
  557 am__tar = @am__tar@
  558 am__untar = @am__untar@
  559 bindir = @bindir@
  560 build = @build@
  561 build_alias = @build_alias@
  562 build_cpu = @build_cpu@
  563 build_os = @build_os@
  564 build_vendor = @build_vendor@
  565 builddir = @builddir@
  566 datadir = @datadir@
  567 datarootdir = @datarootdir@
  568 docdir = @docdir@
  569 dvidir = @dvidir@
  570 exec_prefix = @exec_prefix@
  571 host = @host@
  572 host_alias = @host_alias@
  573 host_cpu = @host_cpu@
  574 host_os = @host_os@
  575 host_vendor = @host_vendor@
  576 htmldir = @htmldir@
  577 includedir = @includedir@
  578 infodir = @infodir@
  579 install_sh = @install_sh@
  580 libdir = @libdir@
  581 libexecdir = @libexecdir@
  582 localedir = @localedir@
  583 localstatedir = @localstatedir@
  584 mandir = @mandir@
  585 mkdir_p = @mkdir_p@
  586 oldincludedir = @oldincludedir@
  587 pdfdir = @pdfdir@
  588 prefix = @prefix@
  589 program_transform_name = @program_transform_name@
  590 psdir = @psdir@
  591 sbindir = @sbindir@
  592 sharedstatedir = @sharedstatedir@
  593 srcdir = @srcdir@
  594 sysconfdir = @sysconfdir@
  595 target_alias = @target_alias@
  596 top_build_prefix = @top_build_prefix@
  597 top_builddir = @top_builddir@
  598 top_srcdir = @top_srcdir@
  599 
  600 # Define separately to allow overriding easily with: make SWIG_WERROR=
  601 SWIG_WERROR = -Werror
  602 
  603 # Recover from the removal of $@.  A full explanation of this is in the
  604 # automake manual under the heading "Multiple Outputs".
  605 make_many_locked = \
  606 @if test -f $@; then :; else \
  607   trap 'rm -rf "$(stamp)-lck" "$(stamp)"' 1 2 13 15; \
  608   if mkdir '$(stamp)-lck' 2>/dev/null; then \
  609     rm -f '$(stamp)'; \
  610     $(MAKE) $(AM_MAKEFLAGS) '$(stamp)'; \
  611     result=$$?; rm -rf '$(stamp)-lck'; exit $$result; \
  612   else \
  613     while test -d '$(stamp)-lck'; do sleep 1; done; \
  614     test -f '$(stamp)'; \
  615   fi; \
  616 fi
  617 
  618 multitarget_begin = @rm -f $@-t; touch $@-t
  619 multitarget_end = @mv -f $@-t $@
  620 TESTS = smoketest.py pythontest.py
  621 AM_TESTS_ENVIRONMENT = \
  622 	abs_builddir='$(abs_builddir)' ;\
  623 	srcdir='$(srcdir)' ;\
  624 	PYTHON='$(PYTHON2)' ;\
  625 	export abs_builddir ;\
  626 	export srcdir ;\
  627 	export PYTHON ;
  628 
  629 LOG_COMPILER = '$(srcdir)'/run-python-test
  630 RST_DOCS = \
  631 	docs/examples.rst \
  632 	docs/index.rst \
  633 	docs/introduction.rst \
  634 	docs/xapian.rst
  635 
  636 BUILT_SOURCES = xapian_wrap.cc xapian_wrap.h xapian.py $(am__append_1)
  637 EXTRA_DIST = python.i util.i extra.i extracomments.i except.i \
  638 	doccomments.i \
  639 	doxy2swig.py \
  640 	fixup-swig-py2-wrapper \
  641 	generate-python-exceptions \
  642 	run-python-test \
  643 	testsuite.py \
  644 	test_xapian_star.py \
  645 	$(TESTS) $(BUILT_SOURCES) $(RST_DOCS)
  646 
  647 pkgpylibdir = @PYTHON2_LIB@/xapian
  648 
  649 # Install as _DATA rather than _SCRIPTS because we don't want to make these
  650 # executable (they don't have a #! line).
  651 pkgpylib_DATA = xapian/__init__.py \
  652 		xapian/__init__.pyc \
  653 		xapian/__init__.pyo
  654 
  655 pkgpylib_LTLIBRARIES = _xapian.la
  656 AM_CPPFLAGS = -I$(PYTHON2_INC)
  657 AM_CXXFLAGS = $(SWIG_CXXFLAGS) $(XAPIAN_CXXFLAGS)
  658 _xapian_la_LDFLAGS = -avoid-version -module -shrext "$(PYTHON2_SO)" $(NO_UNDEFINED)
  659 _xapian_la_SOURCES = xapian_wrap.cc
  660 _xapian_la_LIBADD = $(XAPIAN_LIBS) $(PYTHON2_LIBS)
  661 CLEANFILES = xapian/_xapian$(PYTHON2_SO) xapian/__init__.py \
  662 	xapian/__init__.pyc xapian/__init__.pyo $(srcdir)/*.pyc \
  663 	$(am__append_3)
  664 
  665 # We need to explicitly set -outdir because on Windows, SWIG splits paths at
  666 # "\" when extracting the output directory from the value passed to the -o
  667 # option.
  668 @MAINTAINER_MODE_TRUE@stamp = xapian_wrap.stamp
  669 @MAINTAINER_MODE_TRUE@RUN_SWIG = stamp='$(stamp)' $(PERL) '$(top_srcdir)'/swig-depcomp $(SWIG)
  670 MAINTAINERCLEANFILES = $(BUILT_SOURCES)
  671 exampledatadir = $(docdir)/python/examples
  672 dist_exampledata_DATA = \
  673 	docs/examples/simpleindex.py \
  674 	docs/examples/simpleexpand.py \
  675 	docs/examples/simplematchdecider.py \
  676 	docs/examples/simplesearch.py
  677 
  678 sphinxdocs = docs/html/index.html
  679 all: $(BUILT_SOURCES)
  680 	$(MAKE) $(AM_MAKEFLAGS) all-am
  681 
  682 .SUFFIXES:
  683 .SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
  684 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../generic/generic.mk $(am__configure_deps)
  685 	@for dep in $?; do \
  686 	  case '$(am__configure_deps)' in \
  687 	    *$$dep*) \
  688 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  689 	        && { if test -f $@; then exit 0; else break; fi; }; \
  690 	      exit 1;; \
  691 	  esac; \
  692 	done; \
  693 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu python/Makefile'; \
  694 	$(am__cd) $(top_srcdir) && \
  695 	  $(AUTOMAKE) --gnu python/Makefile
  696 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  697 	@case '$?' in \
  698 	  *config.status*) \
  699 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  700 	  *) \
  701 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  702 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  703 	esac;
  704 $(srcdir)/../generic/generic.mk $(am__empty):
  705 
  706 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  707 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  708 
  709 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  710 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  711 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  712 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  713 $(am__aclocal_m4_deps):
  714 version.i: $(top_builddir)/config.status $(srcdir)/version.i.in
  715 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  716 
  717 install-pkgpylibLTLIBRARIES: $(pkgpylib_LTLIBRARIES)
  718 	@$(NORMAL_INSTALL)
  719 	@list='$(pkgpylib_LTLIBRARIES)'; test -n "$(pkgpylibdir)" || list=; \
  720 	list2=; for p in $$list; do \
  721 	  if test -f $$p; then \
  722 	    list2="$$list2 $$p"; \
  723 	  else :; fi; \
  724 	done; \
  725 	test -z "$$list2" || { \
  726 	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgpylibdir)'"; \
  727 	  $(MKDIR_P) "$(DESTDIR)$(pkgpylibdir)" || exit 1; \
  728 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkgpylibdir)'"; \
  729 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkgpylibdir)"; \
  730 	}
  731 
  732 uninstall-pkgpylibLTLIBRARIES:
  733 	@$(NORMAL_UNINSTALL)
  734 	@list='$(pkgpylib_LTLIBRARIES)'; test -n "$(pkgpylibdir)" || list=; \
  735 	for p in $$list; do \
  736 	  $(am__strip_dir) \
  737 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkgpylibdir)/$$f'"; \
  738 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkgpylibdir)/$$f"; \
  739 	done
  740 
  741 clean-pkgpylibLTLIBRARIES:
  742 	-test -z "$(pkgpylib_LTLIBRARIES)" || rm -f $(pkgpylib_LTLIBRARIES)
  743 	@list='$(pkgpylib_LTLIBRARIES)'; \
  744 	locs=`for p in $$list; do echo $$p; done | \
  745 	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  746 	      sort -u`; \
  747 	test -z "$$locs" || { \
  748 	  echo rm -f $${locs}; \
  749 	  rm -f $${locs}; \
  750 	}
  751 
  752 _xapian.la: $(_xapian_la_OBJECTS) $(_xapian_la_DEPENDENCIES) $(EXTRA__xapian_la_DEPENDENCIES) 
  753 	$(AM_V_CXXLD)$(_xapian_la_LINK) -rpath $(pkgpylibdir) $(_xapian_la_OBJECTS) $(_xapian_la_LIBADD) $(LIBS)
  754 
  755 mostlyclean-compile:
  756 	-rm -f *.$(OBJEXT)
  757 
  758 distclean-compile:
  759 	-rm -f *.tab.c
  760 
  761 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xapian_wrap.Plo@am__quote@
  762 
  763 .cc.o:
  764 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  765 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  766 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  767 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  768 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  769 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
  770 
  771 .cc.obj:
  772 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  773 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  774 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  775 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  776 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  777 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  778 
  779 .cc.lo:
  780 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
  781 @am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  782 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
  783 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  784 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  785 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
  786 
  787 mostlyclean-libtool:
  788 	-rm -f *.lo
  789 
  790 clean-libtool:
  791 	-rm -rf .libs _libs
  792 install-dist_exampledataDATA: $(dist_exampledata_DATA)
  793 	@$(NORMAL_INSTALL)
  794 	@list='$(dist_exampledata_DATA)'; test -n "$(exampledatadir)" || list=; \
  795 	if test -n "$$list"; then \
  796 	  echo " $(MKDIR_P) '$(DESTDIR)$(exampledatadir)'"; \
  797 	  $(MKDIR_P) "$(DESTDIR)$(exampledatadir)" || exit 1; \
  798 	fi; \
  799 	for p in $$list; do \
  800 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  801 	  echo "$$d$$p"; \
  802 	done | $(am__base_list) | \
  803 	while read files; do \
  804 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(exampledatadir)'"; \
  805 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(exampledatadir)" || exit $$?; \
  806 	done
  807 
  808 uninstall-dist_exampledataDATA:
  809 	@$(NORMAL_UNINSTALL)
  810 	@list='$(dist_exampledata_DATA)'; test -n "$(exampledatadir)" || list=; \
  811 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  812 	dir='$(DESTDIR)$(exampledatadir)'; $(am__uninstall_files_from_dir)
  813 install-pkgpylibDATA: $(pkgpylib_DATA)
  814 	@$(NORMAL_INSTALL)
  815 	@list='$(pkgpylib_DATA)'; test -n "$(pkgpylibdir)" || list=; \
  816 	if test -n "$$list"; then \
  817 	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgpylibdir)'"; \
  818 	  $(MKDIR_P) "$(DESTDIR)$(pkgpylibdir)" || exit 1; \
  819 	fi; \
  820 	for p in $$list; do \
  821 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  822 	  echo "$$d$$p"; \
  823 	done | $(am__base_list) | \
  824 	while read files; do \
  825 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgpylibdir)'"; \
  826 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgpylibdir)" || exit $$?; \
  827 	done
  828 
  829 uninstall-pkgpylibDATA:
  830 	@$(NORMAL_UNINSTALL)
  831 	@list='$(pkgpylib_DATA)'; test -n "$(pkgpylibdir)" || list=; \
  832 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  833 	dir='$(DESTDIR)$(pkgpylibdir)'; $(am__uninstall_files_from_dir)
  834 
  835 ID: $(am__tagged_files)
  836 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  837 tags: tags-am
  838 TAGS: tags
  839 
  840 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  841 	set x; \
  842 	here=`pwd`; \
  843 	$(am__define_uniq_tagged_files); \
  844 	shift; \
  845 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  846 	  test -n "$$unique" || unique=$$empty_fix; \
  847 	  if test $$# -gt 0; then \
  848 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  849 	      "$$@" $$unique; \
  850 	  else \
  851 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  852 	      $$unique; \
  853 	  fi; \
  854 	fi
  855 ctags: ctags-am
  856 
  857 CTAGS: ctags
  858 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  859 	$(am__define_uniq_tagged_files); \
  860 	test -z "$(CTAGS_ARGS)$$unique" \
  861 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  862 	     $$unique
  863 
  864 GTAGS:
  865 	here=`$(am__cd) $(top_builddir) && pwd` \
  866 	  && $(am__cd) $(top_srcdir) \
  867 	  && gtags -i $(GTAGS_ARGS) "$$here"
  868 cscopelist: cscopelist-am
  869 
  870 cscopelist-am: $(am__tagged_files)
  871 	list='$(am__tagged_files)'; \
  872 	case "$(srcdir)" in \
  873 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  874 	  *) sdir=$(subdir)/$(srcdir) ;; \
  875 	esac; \
  876 	for i in $$list; do \
  877 	  if test -f "$$i"; then \
  878 	    echo "$(subdir)/$$i"; \
  879 	  else \
  880 	    echo "$$sdir/$$i"; \
  881 	  fi; \
  882 	done >> $(top_builddir)/cscope.files
  883 
  884 distclean-tags:
  885 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  886 
  887 # Recover from deleted '.trs' file; this should ensure that
  888 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  889 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  890 # to avoid problems with "make -n".
  891 .log.trs:
  892 	rm -f $< $@
  893 	$(MAKE) $(AM_MAKEFLAGS) $<
  894 
  895 # Leading 'am--fnord' is there to ensure the list of targets does not
  896 # expand to empty, as could happen e.g. with make check TESTS=''.
  897 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  898 am--force-recheck:
  899 	@:
  900 
  901 $(TEST_SUITE_LOG): $(TEST_LOGS)
  902 	@$(am__set_TESTS_bases); \
  903 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  904 	redo_bases=`for i in $$bases; do \
  905 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  906 	            done`; \
  907 	if test -n "$$redo_bases"; then \
  908 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  909 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  910 	  if $(am__make_dryrun); then :; else \
  911 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  912 	  fi; \
  913 	fi; \
  914 	if test -n "$$am__remaking_logs"; then \
  915 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  916 	       "recursion detected" >&2; \
  917 	elif test -n "$$redo_logs"; then \
  918 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  919 	fi; \
  920 	if $(am__make_dryrun); then :; else \
  921 	  st=0;  \
  922 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  923 	  for i in $$redo_bases; do \
  924 	    test -f $$i.trs && test -r $$i.trs \
  925 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  926 	    test -f $$i.log && test -r $$i.log \
  927 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  928 	  done; \
  929 	  test $$st -eq 0 || exit 1; \
  930 	fi
  931 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  932 	ws='[ 	]'; \
  933 	results=`for b in $$bases; do echo $$b.trs; done`; \
  934 	test -n "$$results" || results=/dev/null; \
  935 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  936 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  937 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  938 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  939 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  940 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  941 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  942 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  943 	  success=true; \
  944 	else \
  945 	  success=false; \
  946 	fi; \
  947 	br='==================='; br=$$br$$br$$br$$br; \
  948 	result_count () \
  949 	{ \
  950 	    if test x"$$1" = x"--maybe-color"; then \
  951 	      maybe_colorize=yes; \
  952 	    elif test x"$$1" = x"--no-color"; then \
  953 	      maybe_colorize=no; \
  954 	    else \
  955 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  956 	    fi; \
  957 	    shift; \
  958 	    desc=$$1 count=$$2; \
  959 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  960 	      color_start=$$3 color_end=$$std; \
  961 	    else \
  962 	      color_start= color_end=; \
  963 	    fi; \
  964 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  965 	}; \
  966 	create_testsuite_report () \
  967 	{ \
  968 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  969 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  970 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  971 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  972 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  973 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  974 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  975 	}; \
  976 	{								\
  977 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  978 	    $(am__rst_title);						\
  979 	  create_testsuite_report --no-color;				\
  980 	  echo;								\
  981 	  echo ".. contents:: :depth: 2";				\
  982 	  echo;								\
  983 	  for b in $$bases; do echo $$b; done				\
  984 	    | $(am__create_global_log);					\
  985 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  986 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  987 	if $$success; then						\
  988 	  col="$$grn";							\
  989 	 else								\
  990 	  col="$$red";							\
  991 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  992 	fi;								\
  993 	echo "$${col}$$br$${std}"; 					\
  994 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  995 	echo "$${col}$$br$${std}"; 					\
  996 	create_testsuite_report --maybe-color;				\
  997 	echo "$$col$$br$$std";						\
  998 	if $$success; then :; else					\
  999 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
 1000 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
 1001 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
 1002 	  fi;								\
 1003 	  echo "$$col$$br$$std";					\
 1004 	fi;								\
 1005 	$$success || exit 1
 1006 
 1007 check-TESTS:
 1008 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
 1009 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
 1010 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1011 	@set +e; $(am__set_TESTS_bases); \
 1012 	log_list=`for i in $$bases; do echo $$i.log; done`; \
 1013 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
 1014 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
 1015 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
 1016 	exit $$?;
 1017 recheck: all 
 1018 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1019 	@set +e; $(am__set_TESTS_bases); \
 1020 	bases=`for i in $$bases; do echo $$i; done \
 1021 	         | $(am__list_recheck_tests)` || exit 1; \
 1022 	log_list=`for i in $$bases; do echo $$i.log; done`; \
 1023 	log_list=`echo $$log_list`; \
 1024 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
 1025 	        am__force_recheck=am--force-recheck \
 1026 	        TEST_LOGS="$$log_list"; \
 1027 	exit $$?
 1028 smoketest.py.log: smoketest.py
 1029 	@p='smoketest.py'; \
 1030 	b='smoketest.py'; \
 1031 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1032 	--log-file $$b.log --trs-file $$b.trs \
 1033 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1034 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1035 pythontest.py.log: pythontest.py
 1036 	@p='pythontest.py'; \
 1037 	b='pythontest.py'; \
 1038 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1039 	--log-file $$b.log --trs-file $$b.trs \
 1040 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1041 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1042 .test.log:
 1043 	@p='$<'; \
 1044 	$(am__set_b); \
 1045 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1046 	--log-file $$b.log --trs-file $$b.trs \
 1047 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1048 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1049 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
 1050 @am__EXEEXT_TRUE@	@p='$<'; \
 1051 @am__EXEEXT_TRUE@	$(am__set_b); \
 1052 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1053 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
 1054 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1055 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1056 
 1057 distdir: $(DISTFILES)
 1058 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1059 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1060 	list='$(DISTFILES)'; \
 1061 	  dist_files=`for file in $$list; do echo $$file; done | \
 1062 	  sed -e "s|^$$srcdirstrip/||;t" \
 1063 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 1064 	case $$dist_files in \
 1065 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 1066 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 1067 			   sort -u` ;; \
 1068 	esac; \
 1069 	for file in $$dist_files; do \
 1070 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 1071 	  if test -d $$d/$$file; then \
 1072 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 1073 	    if test -d "$(distdir)/$$file"; then \
 1074 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1075 	    fi; \
 1076 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 1077 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 1078 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1079 	    fi; \
 1080 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 1081 	  else \
 1082 	    test -f "$(distdir)/$$file" \
 1083 	    || cp -p $$d/$$file "$(distdir)/$$file" \
 1084 	    || exit 1; \
 1085 	  fi; \
 1086 	done
 1087 check-am: all-am
 1088 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
 1089 check: $(BUILT_SOURCES)
 1090 	$(MAKE) $(AM_MAKEFLAGS) check-am
 1091 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
 1092 installdirs:
 1093 	for dir in "$(DESTDIR)$(pkgpylibdir)" "$(DESTDIR)$(exampledatadir)" "$(DESTDIR)$(pkgpylibdir)"; do \
 1094 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 1095 	done
 1096 install: $(BUILT_SOURCES)
 1097 	$(MAKE) $(AM_MAKEFLAGS) install-am
 1098 install-exec: install-exec-am
 1099 install-data: install-data-am
 1100 uninstall: uninstall-am
 1101 
 1102 install-am: all-am
 1103 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 1104 
 1105 installcheck: installcheck-am
 1106 install-strip:
 1107 	if test -z '$(STRIP)'; then \
 1108 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1109 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1110 	      install; \
 1111 	else \
 1112 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1113 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1114 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 1115 	fi
 1116 mostlyclean-generic:
 1117 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
 1118 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
 1119 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1120 
 1121 clean-generic:
 1122 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 1123 
 1124 distclean-generic:
 1125 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 1126 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 1127 
 1128 maintainer-clean-generic:
 1129 	@echo "This command is intended for maintainers to use"
 1130 	@echo "it deletes files that may require special tools to rebuild."
 1131 	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
 1132 	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
 1133 clean: clean-am
 1134 
 1135 clean-am: clean-generic clean-libtool clean-local \
 1136 	clean-pkgpylibLTLIBRARIES mostlyclean-am
 1137 
 1138 distclean: distclean-am
 1139 	-rm -rf ./$(DEPDIR)
 1140 	-rm -f Makefile
 1141 distclean-am: clean-am distclean-compile distclean-generic \
 1142 	distclean-tags
 1143 
 1144 dvi: dvi-am
 1145 
 1146 dvi-am:
 1147 
 1148 html: html-am
 1149 
 1150 html-am:
 1151 
 1152 info: info-am
 1153 
 1154 info-am:
 1155 
 1156 install-data-am: install-data-local install-dist_exampledataDATA \
 1157 	install-pkgpylibDATA install-pkgpylibLTLIBRARIES
 1158 	@$(NORMAL_INSTALL)
 1159 	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
 1160 install-dvi: install-dvi-am
 1161 
 1162 install-dvi-am:
 1163 
 1164 install-exec-am:
 1165 
 1166 install-html: install-html-am
 1167 
 1168 install-html-am:
 1169 
 1170 install-info: install-info-am
 1171 
 1172 install-info-am:
 1173 
 1174 install-man:
 1175 
 1176 install-pdf: install-pdf-am
 1177 
 1178 install-pdf-am:
 1179 
 1180 install-ps: install-ps-am
 1181 
 1182 install-ps-am:
 1183 
 1184 installcheck-am: installcheck-local
 1185 
 1186 maintainer-clean: maintainer-clean-am
 1187 	-rm -rf ./$(DEPDIR)
 1188 	-rm -f Makefile
 1189 maintainer-clean-am: distclean-am maintainer-clean-generic
 1190 
 1191 mostlyclean: mostlyclean-am
 1192 
 1193 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 1194 	mostlyclean-libtool
 1195 
 1196 pdf: pdf-am
 1197 
 1198 pdf-am:
 1199 
 1200 ps: ps-am
 1201 
 1202 ps-am:
 1203 
 1204 uninstall-am: uninstall-dist_exampledataDATA uninstall-local \
 1205 	uninstall-pkgpylibDATA uninstall-pkgpylibLTLIBRARIES
 1206 
 1207 .MAKE: all check check-am install install-am install-data-am \
 1208 	install-strip
 1209 
 1210 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
 1211 	check-am clean clean-generic clean-libtool clean-local \
 1212 	clean-pkgpylibLTLIBRARIES cscopelist-am ctags ctags-am \
 1213 	distclean distclean-compile distclean-generic \
 1214 	distclean-libtool distclean-tags distdir dvi dvi-am html \
 1215 	html-am info info-am install install-am install-data \
 1216 	install-data-am install-data-hook install-data-local \
 1217 	install-dist_exampledataDATA install-dvi install-dvi-am \
 1218 	install-exec install-exec-am install-html install-html-am \
 1219 	install-info install-info-am install-man install-pdf \
 1220 	install-pdf-am install-pkgpylibDATA \
 1221 	install-pkgpylibLTLIBRARIES install-ps install-ps-am \
 1222 	install-strip installcheck installcheck-am installcheck-local \
 1223 	installdirs maintainer-clean maintainer-clean-generic \
 1224 	mostlyclean mostlyclean-compile mostlyclean-generic \
 1225 	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
 1226 	uninstall uninstall-am uninstall-dist_exampledataDATA \
 1227 	uninstall-local uninstall-pkgpylibDATA \
 1228 	uninstall-pkgpylibLTLIBRARIES
 1229 
 1230 .PRECIOUS: Makefile
 1231 
 1232 
 1233 # Export these so that we run the locally installed autotools when building
 1234 # from a bootstrapped git tree.
 1235 @MAINTAINER_MODE_TRUE@export ACLOCAL AUTOCONF AUTOHEADER AUTOM4TE AUTOMAKE
 1236 
 1237 # This is a hack for Mac OS X to work around "System Integrity Protection"
 1238 # which strips DYLD_* variables from the environment when running binaries
 1239 # in system bin directories.  This totally breaks running in-tree tests
 1240 # against system interpreters (e.g. /usr/bin/python), but even for an
 1241 # interpreter installed elsewhere we need to take special care because
 1242 # /bin/sh is also affected.  The trick we use is to define a variable
 1243 # which expands to the code needed to set DYLD_LIBRARY_PATH and inject
 1244 # this right when we run the interpreter.
 1245 @NEED_INTREE_DYLD_TRUE@export OSX_SIP_HACK_ENV=env DYLD_LIBRARY_PATH=$(INTREE_DYLD_PATH)
 1246 
 1247 # This requires GNU make, but apparently that's the default on OS X.
 1248 @OVERRIDE_MACOSX_DEPLOYMENT_TARGET_TRUE@export MACOSX_DEPLOYMENT_TARGET=@OVERRIDE_MACOSX_DEPLOYMENT_TARGET@
 1249 
 1250 installcheck-local:
 1251 	$(MAKE) check  LOG_COMPILER='$(PYTHON2)' AM_TESTS_ENVIRONMENT= \
 1252 	    PYTHONDONTWRITEBYTECODE=1
 1253 
 1254 # Remove the .la file - _xapian.la is never linked against (it's a module)
 1255 # and Python doesn't use libltdl.  Note that the library gets installed by
 1256 # install-data, so that's where we need to hook.
 1257 install-data-hook:
 1258 	rm -f $(DESTDIR)$(pkgpylibdir)/_xapian.la
 1259 
 1260 # Because we don't install the .la file, "make uninstall" doesn't work and
 1261 # we need to remove the file ourselves.
 1262 uninstall-local:
 1263 	rm -f $(DESTDIR)$(pkgpylibdir)/_xapian$(PYTHON2_SO)
 1264 
 1265 # We want `xapian/__init__.py` rather than xapian.py so the module is treated
 1266 # as a package.
 1267 xapian/__init__.py: xapian.py
 1268 	$(MKDIR_P) xapian
 1269 	cp `test -f xapian.py || echo '$(srcdir)/'`xapian.py xapian/__init__.py
 1270 
 1271 # We "import _xapian" first so that if we fail to import the glue library
 1272 # we don't generate a broken .pyc or .pyo, and we do it with the current
 1273 # directory set to where the module is as Python with -c always searches the
 1274 # current directory first.
 1275 #
 1276 # We then "import xapian" as a separate command, as that's more like how things
 1277 # are once installed - in particular this will fail if the SWIG shadow wrapper
 1278 # doesn't cope with being xapian/__init__.py (currently it needs fixing
 1279 # up, which is done by fixup-swig-py2-wrapper).
 1280 xapian/__init__.pyc: xapian/__init__.py xapian/_xapian$(PYTHON2_SO)
 1281 	$(OSX_SIP_HACK_ENV) $(PYTHON2) -c 'import os;os.chdir("xapian");import _xapian'
 1282 	$(OSX_SIP_HACK_ENV) $(PYTHON2) -c 'import xapian'
 1283 
 1284 xapian/__init__.pyo: xapian/__init__.py xapian/_xapian$(PYTHON2_SO)
 1285 	$(OSX_SIP_HACK_ENV) $(PYTHON2) -O -c 'import os;os.chdir("xapian");import _xapian'
 1286 	$(OSX_SIP_HACK_ENV) $(PYTHON2) -O -c 'import xapian'
 1287 
 1288 xapian/_xapian$(PYTHON2_SO): _xapian.la
 1289 	$(MKDIR_P) xapian
 1290 	$(LIBTOOL) --config > libtoolconfig.tmp
 1291 	. ./libtoolconfig.tmp; cp $$objdir/_xapian$(PYTHON2_SO) xapian
 1292 	rm -f libtoolconfig.tmp
 1293 
 1294 # Clean the xapian directory which we created, if it's empty, and any
 1295 # databases created by test cases.
 1296 clean-local:
 1297 	-rmdir xapian
 1298 	rm -rf db_test_* dbs_replication
 1299 @MAINTAINER_MODE_TRUE@except.i: $(srcdir)/generate-python-exceptions ../../xapian-core/exception_data.pm
 1300 @MAINTAINER_MODE_TRUE@	$(PERL) -w -I$(srcdir)/../../xapian-core $(srcdir)/generate-python-exceptions
 1301 
 1302 @MAINTAINER_MODE_TRUE@@MAINTAINER_NO_DOCS_TRUE@doccomments.i:
 1303 @MAINTAINER_MODE_TRUE@@MAINTAINER_NO_DOCS_TRUE@	: > doccomments.i
 1304 @MAINTAINER_MODE_TRUE@@MAINTAINER_NO_DOCS_FALSE@doccomments.i: doxy2swig.py ../../xapian-core/exception_data.pm ../doxygen-xml/index.xml
 1305 @MAINTAINER_MODE_TRUE@@MAINTAINER_NO_DOCS_FALSE@	$(PYTHON) $(srcdir)/doxy2swig.py ../doxygen-xml/index.xml doccomments.i
 1306 
 1307 @MAINTAINER_MODE_TRUE@xapian_wrap.cc xapian_wrap.h xapian.py xapian_wrap.d: $(stamp)
 1308 @MAINTAINER_MODE_TRUE@	$(make_many_locked)
 1309 @MAINTAINER_MODE_TRUE@$(stamp): except.i doccomments.i fixup-swig-py2-wrapper
 1310 @MAINTAINER_MODE_TRUE@	$(multitarget_begin)
 1311 @MAINTAINER_MODE_TRUE@	$(RUN_SWIG) $(SWIG_WERROR) -I. -I'$(srcdir)' $(SWIG_FLAGS) -c++ \
 1312 @MAINTAINER_MODE_TRUE@	    -python -threads -shadow -modern -O \
 1313 @MAINTAINER_MODE_TRUE@	    -o xapian_wrap.cc '$(srcdir)/'python.i
 1314 @MAINTAINER_MODE_TRUE@	$(PERL) -i $(srcdir)/fixup-swig-py2-wrapper xapian.py
 1315 @MAINTAINER_MODE_TRUE@	$(multitarget_end)
 1316 
 1317 @MAINTAINER_MODE_TRUE@-include xapian_wrap.d
 1318 
 1319 install-data-local:
 1320 	$(mkinstalldirs) '$(DESTDIR)$(docdir)/python'
 1321 	cp -R -p `test -r docs/html || echo '$(srcdir)/'`docs/html '$(DESTDIR)$(docdir)/python'
 1322 
 1323 all-local: $(sphinxdocs)
 1324 
 1325 $(sphinxdocs): xapian/__init__.py xapian/_xapian$(PYTHON2_SO) docs/conf.py $(RST_DOCS) $(dist_exampledata_DATA)
 1326 	PYTHONPATH=..:$$PYTHONPATH $(OSX_SIP_HACK_ENV) $(PYTHON2) \
 1327 		-c 'import sphinx,sys;sys.exit(sphinx.main(sys.argv[1:]))' \
 1328 		-bhtml -b html -d doctrees -c docs $(srcdir)/docs docs/html
 1329 
 1330 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1331 # Otherwise a system limit (for SysV at least) may be exceeded.
 1332 .NOEXPORT: